Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Assembly_Connection::IF_Resolver_Info Class Reference

`#include <Assembly_Spec.h>`

Collaboration diagram for CIAO::Assembly_Connection::IF_Resolver_Info:

[legend]
List of all members.

## Public Member Functions
| IF_Resolver_Info (IF_Resolution_Method type, const char *info, IF_Resolver_Info *nested=0)
| ~IF_Resolver_Info ()
IF_Resolution_Method | resolver_type (void) const
const char * | resolver_info (void) const
| The string we use to resolve the interface.
IF_Resolver_Info * | nested_resolver (void)
| Return a nested resolver this resolver depends on.
void * | traderquery (void) const
## Protected Attributes
IF_Resolution_Method | resolver_type_
| Hints the kind of resolve info.
ACE_CString | resolver_info_
| Information this info contains.
IF_Resolver_Info * | nested_resolver_
| Dependent resolver info.
void * | traderquery_
| @ Future placeholder for trader query info.

## Constructor & Destructor Documentation

ACE_INLINE CIAO::Assembly_Connection::IF_Resolver_Info::IF_Resolver_Info | ( | IF_Resolution_Method | type,
|  | const char * | info,
|  | IF_Resolver_Info * | nested = `0`
| ) |

ACE_INLINE CIAO::Assembly_Connection::IF_Resolver_Info::~IF_Resolver_Info | ( |  | ) |

## Member Function Documentation

ACE_INLINE CIAO::Assembly_Connection::IF_Resolver_Info * CIAO::Assembly_Connection::IF_Resolver_Info::nested_resolver | ( | void |  | ) |

| Return a nested resolver this resolver depends on.

ACE_INLINE const char * CIAO::Assembly_Connection::IF_Resolver_Info::resolver_info | ( | void |  | ) | const

| The string we use to resolve the interface.

ACE_INLINE CIAO::Assembly_Connection::IF_Resolution_Method CIAO::Assembly_Connection::IF_Resolver_Info::resolver_type | ( | void |  | ) | const

ACE_INLINE void * CIAO::Assembly_Connection::IF_Resolver_Info::traderquery | ( | void |  | ) | const

| Return the trader structure. (Not implemented yet. therefore, we are returning void * for now.)

## Member Data Documentation

IF_Resolver_Info* CIAO::Assembly_Connection::IF_Resolver_Info::nested_resolver_`[protected]`

| Dependent resolver info.

ACE_CString CIAO::Assembly_Connection::IF_Resolver_Info::resolver_info_`[protected]`

| Information this info contains.

IF_Resolution_Method CIAO::Assembly_Connection::IF_Resolver_Info::resolver_type_`[protected]`

| Hints the kind of resolve info.

void* CIAO::Assembly_Connection::IF_Resolver_Info::traderquery_`[protected]`

| @ Future placeholder for trader query info. @

The documentation for this class was generated from the following files:

- Assembly_Spec.h
- Assembly_Spec.inl